Bug Hunting Session
Bug 106954 - Font LaDanse recognized but not rendered in Writer
Summary: Font LaDanse recognized but not rendered in Writer
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.1.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Font-Rendering
  Show dependency treegraph
 
Reported: 2017-04-04 15:38 UTC by kwpk.it+bgz
Modified: 2017-11-03 20:18 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Erroneous rendering of LaDanse font in LibreOffice Writer (235.60 KB, image/png)
2017-04-04 15:44 UTC, kwpk.it+bgz
Details
Correct rendering of LaDanse font in NotePad (102.11 KB, image/png)
2017-04-04 15:45 UTC, kwpk.it+bgz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kwpk.it+bgz 2017-04-04 15:38:51 UTC
Description:
I have used the LaDanse font licensed from IHOF since the early 2000s. I had not used in in a while, and was surprised to find that it does not render in LibreOffice Writer 5.3.1.2(x64).  

I was first concerned about a possible font install error, and re-installed it. LibreOffice Writer would still not render it. Next, I tried to use it in Windows NotePad - without problem.

Steps to Reproduce:
1. Open LibreOffice Writer
2. Start new document
3. Select LaDanse font


Actual Results:  
4. Note that the font is not rendered correctly

Expected Results:
render the font correctly


Reproducible: Always

User Profile Reset: No

Additional Info:
I did not reset the profile; maybe I didn't think that this could be related to a User Profile issue.


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 kwpk.it+bgz 2017-04-04 15:44:09 UTC
Created attachment 132332 [details]
Erroneous rendering of LaDanse font in LibreOffice Writer
Comment 2 kwpk.it+bgz 2017-04-04 15:45:09 UTC
Created attachment 132333 [details]
Correct rendering of LaDanse font in NotePad
Comment 3 V Stuart Foote 2017-04-04 15:53:12 UTC
LaDanse v3.00 appears to be available as OTF, and saw a TTF version. What is the font format for your copy of IHOF LaDanse?

Support for legacy Type 1 Postscript and bitmap fonts has been dropped. You may need to refresh your font library to continue use.


=-ref-=

Version ID: 604071
Full Font Name: LaDanse
Family name: LaDanse
Sub-family name: Regular
PostScript name: LaDanse
Format: OpenType OTF OpenType OTF
Version: Version 3.000
Glyph count: 232
File size: 37,160
Comment 4 V Stuart Foote 2017-04-04 16:58:43 UTC
I just installed a DFF sourced "LaDanse" font in TTF [1] and can not reproduce.

This TTF version of the font renders correctly with good line spacing and full ascender/descender when scaled larger or smaller.

On Windows 8.1 Ent 64-bit en-US with
Version: 5.3.2.2 (x64)
Build ID: 6cd4f1ef626f15116896b1d8e1398b56da0d0ee1
CPU Threads: 8; OS Version: Windows 6.29; UI Render: GL; Layout Engine: new; 
Locale: en-US (en_US); Calc: group

We still Needinfo as to font details.

=-ref-=
https://www.download-free-fonts.com/details/54314/ladanse
Comment 5 QA Administrators 2017-10-30 10:54:32 UTC Comment hidden (obsolete)
Comment 6 kwpk.it+bgz 2017-11-03 19:47:26 UTC
This bug should be closed; after acquiring a recent set of font files, the font renders properly. The font files I had used previously were about 15 years old...  I don't know what broke, but acquiring a recent set of font files is an entirely adequate resolution for this problem. Please do close this bug report.

I had previously commented with the above information,but I don't see the comment; I don't know what went wrong with this. My sincere thanks for following up!